Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 655842 (CVE-2018-10958) - <media-gfx/exiv2-0.26_p20180811-r1: SIGABRT caused by memory allocation in types.cpp:Exiv2::Internal::PngChunk::zlibUncompress()
Summary: <media-gfx/exiv2-0.26_p20180811-r1: SIGABRT caused by memory allocation in ty...
Status: RESOLVED FIXED
Alias: CVE-2018-10958
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa++ cve]
Keywords:
Depends on: CVE-2018-10780, CVE-2018-10998, CVE-2018-10999, CVE-2018-11531, CVE-2018-12264, CVE-2018-12265
Blocks:
  Show dependency tree
 
Reported: 2018-05-16 07:26 UTC by Agostino Sarubbo
Modified: 2018-11-24 21:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2018-05-16 07:26:47 UTC
From ${URL} :


In types.cpp in Exiv2 0.26, a large size value may lead to a SIGABRT during an attempt at memory allocation for an Exiv2::Internal::PngChunk::zlibUncompress call.


Upstream Issue:

https://github.com/Exiv2/exiv2/issues/302


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-09-21 07:35:37 UTC
Fixed by https://github.com/Exiv2/exiv2/issues/306 (which is for CVE-2018-10999).
Comment 2 Andreas Sturmlechner gentoo-dev 2018-11-11 22:27:52 UTC
Cleanup/KDE done here.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2018-11-13 06:45:23 UTC
Arches and Maintainer(s), Thank you for your work.

New GLSA Request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:46:03 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:47:06 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).